%if 0%{?fedora} || 0%{?rhel} >= 8
%global with_python3 1
%endif

%global srcname latexcodec

Name:           python-%{srcname}
Version:        1.0.4
Release:        1%{?dist}
Summary:        Lexer and codec to work with LaTeX code in Python

License:        MIT
URL:            https://github.com/mcmtroffaes/latexcodec/
Source0:        https://files.pythonhosted.org/packages/source/l/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-nose
BuildRequires:  python2-nose-cov
BuildRequires:  python2-setuptools
BuildRequires:  python2-six
BuildRequires:  python2-sphinx

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-nose-cov
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-sphinx
%endif

%description
This package contains a lexer and codec to work with LaTeX code in Python.

%package -n python2-%{srcname}
Summary:        Lexer and codec to work with LaTeX code in Python
Requires:       python2-six

Provides:       bundled(jquery)
Provides:       bundled(js-underscore)
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This package contains a lexer and codec to work with LaTeX code in Python.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        Lexer and codec to work with LaTeX code in Python
Requires:       python3-six

Provides:       bundled(jquery)
Provides:       bundled(js-underscore)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This package contains a lexer and codec to work with LaTeX code in Python.
%endif

%prep
%setup -q -c

# Fix a code-block directive
sed -i 's/code-block::$/& python/' %{srcname}-%{version}/INSTALL.rst

# Fix "TypeError: a bytes-like object is required, not 'str'"
sed -i 's/"rb"/"rt"/' %{srcname}-%{version}/doc/conf.py

%if 0%{?fedora} >= 24
# Update the sphinx theme name
sed -i 's/default/alabaster/' %{srcname}-%{version}/doc/conf.py
%endif

# Prepare for python3 build
cp -a %{srcname}-%{version} python3-%{srcname}-%{version}

%build
# Python 2 build
pushd %{srcname}-%{version}
%py2_build
PYTHONPATH=$PWD make -C doc html SPHINXBUILD=%{_bindir}/sphinx-build
rm -f doc/_build/html/.buildinfo
popd

%if 0%{?with_python3}
# Python 3 build
pushd python3-%{srcname}-%{version}
%py3_build
PYTHONPATH=$PWD make -C doc html SPHINXBUILD=%{_bindir}/sphinx-build-3
rm -f doc/_build/html/.buildinfo
popd
%endif

%install
# Python 2 install
pushd %{srcname}-%{version}
%py2_install
popd

%if 0%{?with_python3}
# Python 3 install
pushd python3-%{srcname}-%{version}
%py3_install
popd
%endif

%check
# Test the python 2 build
pushd %{srcname}-%{version}
nosetests-%{python2_version} -v
popd

%if 0%{?with_python3}
# Python 3 install
pushd python3-%{srcname}-%{version}
nosetests-%{python3_version} -v
popd
%endif

%files -n python2-%{srcname}
%doc %{srcname}-%{version}/doc/_build/html/*
%license %{srcname}-%{version}/LICENSE.rst
%{python2_sitelib}/%{srcname}*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc python3-%{srcname}-%{version}/doc/_build/html/*
%license python3-%{srcname}-%{version}/LICENSE.rst
%{python3_sitelib}/%{srcname}*
%endif

%changelog
* Thu Sep 22 2016 Jerry James <loganjerry@gmail.com> - 1.0.4-1
- New upstream version

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sat Mar 26 2016 Jerry James <loganjerry@gmail.com> - 1.0.3-1
- New upstream version

* Fri Mar  4 2016 Jerry James <loganjerry@gmail.com> - 1.0.2-1
- New upstream version

* Tue Feb  2 2016 Jerry James <loganjerry@gmail.com> - 1.0.1-1
- Initial RPM
